std::inout_ptr_t< _Smart, _Pointer, _Args > Class Template Reference

`#include <>>`

## Public Member Functions

| inout_ptr_t (_Smart &__smart, _Args... __args)
| inout_ptr_t (const inout_ptr_t &)=delete
| operator _Pointer * () const noexcept
| operator void ** () const noexcept

## Detailed Description

template<typename _Smart, typename _Pointer, typename... _Args>
class std::inout_ptr_t< _Smart, _Pointer, _Args >

Smart pointer adaptor for functions taking an inout pointer parameter.

Template Parameters

  _Smart | The type of pointer to adapt.
  _Pointer | The type of pointer to convert to.
  _Args... | Argument types used when resetting the smart pointer.

Since
  C++23

Definition at line 300 of file out_ptr.h.

## Constructor & Destructor Documentation

## inout_ptr_t()

template<typename _Smart, typename _Pointer, typename... _Args>

std::inout_ptr_t< _Smart, _Pointer, _Args >::inout_ptr_t | ( | _Smart & | __smart,
|  | _Args... | __args )

inline explicit

Definition at line 309 of file out_ptr.h.

## Member Function Documentation

## operator _Pointer *()

template<typename _Smart, typename _Pointer, typename... _Args>

std::inout_ptr_t< _Smart, _Pointer, _Args >::operator _Pointer * | ( |  | ) | const

inline noexcept

Definition at line 320 of file out_ptr.h.

## operator void **()

template<typename _Smart, typename _Pointer, typename... _Args>

std::inout_ptr_t< _Smart, _Pointer, _Args >::operator void ** | ( |  | ) | const

inline noexcept

Definition at line 323 of file out_ptr.h.

The documentation for this class was generated from the following file:

- out_ptr.h